Package it.ernytech.tdlib

## Class TdApi.SupergroupMembersFilterSearch

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.SupergroupMembersFilter
    - - it.ernytech.tdlib.TdApi.SupergroupMembersFilterSearch

Enclosing class:
  TdApi

    public static class TdApi.SupergroupMembersFilterSearch
    extends TdApi.SupergroupMembersFilter

Used to search for supergroup or channel members via a (string) query.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `query` Query to search for.

### Constructor Summary

Constructors
`SupergroupMembersFilterSearch()` Default constructor.
`SupergroupMembersFilterSearch​(java.lang.String query)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### query

    public java.lang.String query

Query to search for.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SupergroupMembersFilterSearch

    public SupergroupMembersFilterSearch()

Default constructor.

#### SupergroupMembersFilterSearch

    public SupergroupMembersFilterSearch​(java.lang.String query)

Constructor for initialization of all fields.

Parameters:
  `query` - Query to search for.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR